Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 150282 - NullPointerException arises by attempt to commit BIT data
NullPointerException arises by attempt to commit BIT data
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: Show Data
6.x
All All
: P2 (vote)
: TBD
Assigned To: _ ahimanikya
issues@db
65fixes1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-15 19:32 UTC by Roman Mostyka
Modified: 2008-12-11 22:30 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2008-10-15 19:32:29 UTC
1. Connect to MySQL DB and expand it's node.
2. Rightclick "Tables" node and choose "Create Table".
3. Rightclick added table and choose "View Data".
4. Add table with 1 columns with BIT type and some values with "Insert Record" dialog.
5. Change values and try to commit.

Result: NullPointerException arises.

Full stack trace:
java.lang.NullPointerException
	at org.openide.NotifyDescriptor$Exception.<init>(NotifyDescriptor.java:808)
	at org.netbeans.modules.db.dataview.output.SQLStatementExecutor.commitOrRollback(SQLStatementExecutor.java:155)
	at org.netbeans.modules.db.dataview.output.SQLExecutionHelper$3.finished(SQLExecutionHelper.java:332)
	at org.netbeans.modules.db.dataview.output.SQLStatementExecutor.run(SQLStatementExecutor.java:119)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:572)
[catch] at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:997)
Comment 1 _ ahimanikya 2008-10-17 20:52:10 UTC
Looks like even when there was valid exception, somehow it was unable to report the problem, instead it was throwing
null pointer. I have a fix already for this, will check this in in few minutes.
Comment 2 _ ahimanikya 2008-10-17 21:49:19 UTC
http://hg.netbeans.org/main/rev/b505c70071b0

Please note, ambiguous updates are not allowed, which means, unless a row can be identified as unique we don't allow the
update/delete operation, since this could delete or updated unwanted rows. I have also observed other sql tools doing
the same.
Comment 3 _ ahimanikya 2008-10-17 21:52:07 UTC
Fixed
Comment 4 Quality Engineering 2008-10-18 15:51:45 UTC
Integrated into 'main-golden', will be available in build *200810181401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b505c70071b0
User: ahimanikya@netbeans.org
Log: Issue #150282 NullPointerException arises by attempt to commit BIT data
Comment 5 Roman Mostyka 2008-10-21 08:30:50 UTC
Verified with build 081020.
Comment 6 rbalada 2008-11-14 12:58:21 UTC
I've transplanted the changeset http://hg.netbeans.org/main/rev/b505c70071b0 into release65_fixes repository as
http://hg.netbeans.org/release65_fixes/rev/158597821b40


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo